#if !defined(__SAI_Priv_h__)
#define __SAI_Priv_h__
 
#include "CPA_Expt.h"
 
#if defined(__cplusplus)
extern "C"
{
#endif /* __cplusplus */
 
SAI_tdxHandleToListEntry SAI_fn_hCreateAListEntry(void);
void SAI_fn_vIsolateAllListEntryByMemoryLevel(struct SAI_tdstInternalStructure_ *p_stInternalStructure,unsigned char ucMemoryLevel);
void SAI_fn_vDeleteAListEntry(SAI_tdxHandleToListEntry hListEntry);
SAI_tdxHandleToListEntry fn_hSearchAnElementInList(struct SAI_tdstInternalStructure_ *p_stInternalStructure,void *p_vData,SAI_tdeFlags eUserFlags);
SAI_tdeFlags SAI_fn_eVerifyFlags(SAI_tdeFlags eFlags);
unsigned char SAI_fn_bFreeAnElementFromList(struct SAI_tdstInternalStructure_ *p_stInternalStructure,void *p_stData,SAI_tdeFlags eUserFlags);
unsigned char SAI_fn_bInsertAnElementInList(struct SAI_tdstInternalStructure_ *p_stInternalStructure,void *p_stData,unsigned long ulSizeOfData,SAI_tdeFlags eTypeOfData,SAI_tdeFlags eUserFlags);
unsigned char SAI_fn_bRestoreAnElementFromList(SAI_tdxHandleToListEntry hListEntry);
unsigned char SAI_fn_bInitAllTableWhen(struct SAI_tdstInternalStructure_ *p_stInternalStructure,SAI_tdeFlags eUserFlags);
unsigned char SAI_fn_bInitOneTableElementWhen(struct SAI_tdstInternalStructure_ *p_stInternalStructure,void *_p_vValue,SAI_tdeFlags eUserFlags);
 
unsigned char SAI_fn_ucComputeBitPosition( unsigned char _ucMask );
 
#if defined(__cplusplus)
}
#endif /* __cplusplus */
 
#endif /* __SAI_Priv_h__ */
